## ros-melodic-chomp-motion-planner 1.0.7

=== debian/changelog ===
ros-melodic-chomp-motion-planner (1.0.7-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.3-1stretch) stretch; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.2-1stretch) stretch; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.8-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.7-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.6-1stretch) stretch; urgency=high

  * [fix] memory leak (ChompOptimizer)
  * [fix] Set last_state for active joints only (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove ChompParameters::getNonConstParams() (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.3-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.2-1stretch) stretch; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Adrian Zwiener, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.1-1stretch) stretch; urgency=high

  * [fix] for chomp fixed base joint bug (#870 <https://github.com/ros-planning/moveit/issues/870>)
  * [maintenance] MoveIt! tf2 migration (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mike Lautman, Xiaojian Ma



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-chomp-motion-planner//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-chomp-motion-planner 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(chomp_motion_planner)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  moveit_core
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/chomp_cost.cpp
  src/chomp_parameters.cpp
  src/chomp_trajectory.cpp
  src/chomp_optimizer.cpp
  src/chomp_planner.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-chomp-motion-planner (1.0.11-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.10-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.9-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.8-1bionic) bionic; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.7-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.3-1bionic) bionic; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.2-1bionic) bionic; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.8-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.7-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.6-1bionic) bionic; urgency=high

  * [fix] memory leak (ChompOptimizer)
  * [fix] Set last_state for active joints only (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove ChompParameters::getNonConstParams() (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.3-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.2-1bionic) bionic; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)


=== debian/control ===
Source: ros-melodic-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-roscpp
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-melodic-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: chomp_motion_planner

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
